Page MenuHomePhabricator

VisualEditor should support redirects to sections on a page
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  1. Go to Page settings and tick the box to make a redirect.
  1. Type in not just a page title, but also a section: Example#Foo
  1. Now what? If I click "Example" in the list, it deletes the #Foo part.

It turns out that if you click outside the page settings dialog, that it actually will accept this, but it looks impossible.

Then when you "apply changes", the redirect isn't visible on the page (T63861) so you can't tell whether it worked or did anything at all.

Details

Reference
bz67147

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:26 AM
bzimport added a project: VisualEditor.
bzimport set Reference to bz67147.
Jdforrester-WMF triaged this task as Medium priority.Dec 2 2014, 1:08 AM
Jdforrester-WMF lowered the priority of this task from Medium to Low.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
Jdforrester-WMF set Security to None.

This very likely would use some (magical) technology that would be needed to fix T52881: VisualEditor: Link input widget should suggest section links.

AlexMonk-WMF added a subscriber: AlexMonk-WMF.

So, when you have a title+section link in the text box, and the suggestions show the page name that's currently in there, an extra suggestion should be added for the full title+current section? I think anything more than that would be T52881

matmarex closed this task as Resolved.Mar 28 2017, 3:26 PM
matmarex added a subscriber: matmarex.

This seems to work the right way these days. If you input a title+section, the same is shown as the first element of the suggestions (but only if a page by that title exists).

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 28 2017, 3:26 PM
Jdforrester-WMF set the point value for this task to 1.Mar 28 2017, 3:43 PM
Jdforrester-WMF moved this task from Freezer to TR1: Releases on the VisualEditor board.